import request from '@/utils/request'

// 查询LineSymbolPrice列表
export function listLineSymbolPrice(query) {
  return request({
    url: '/api/v1/line-symbol-price',
    method: 'get',
    params: query
  })
}

// 查询LineSymbolPrice详细
export function getLineSymbolPrice(id) {
  return request({
    url: '/api/v1/line-symbol-price/' + id,
    method: 'get'
  })
}

// 新增LineSymbolPrice
export function addLineSymbolPrice(data) {
  return request({
    url: '/api/v1/line-symbol-price',
    method: 'post',
    data: data
  })
}

// 修改LineSymbolPrice
export function updateLineSymbolPrice(data) {
  return request({
    url: '/api/v1/line-symbol-price/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineSymbolPrice
export function delLineSymbolPrice(data) {
  return request({
    url: '/api/v1/line-symbol-price',
    method: 'delete',
    data: data
  })
}

